# Execute Form Logic Executes a form logic in one of the following modes: init, valueOptions, onValueChange, onClick. Only one mode can be used in a single call, and only the formula elements matching that mode are executed. Use this endpoint to generate the initial form, lazy-load value options, or return changes that should be applied to the form after a user interaction. The request payload exposes typedId, sourceInputName, and inputValues to the form logic. Endpoint: POST /formulamanager.executeform/{uniqueName}/{mode} Security: basic, X-PriceFx-jwt ## Path parameters: - `uniqueName` (string, required) Name of the form logic. - `mode` (string, required) Execution mode of the form logic. ## Request fields (application/json): - `data` (object) - `data.typedId` (string) - `data.sourceInputName` (string) - `data.inputValues` (object) - `data.inputValues.Input` (string) ## Response 200 fields